@font-face {
    font-family: "roboto";
    src: url('../polices/Roboto/Roboto-Light.ttf');
}

body {
    background-color: whitesmoke;
    font-size: 18px;
    margin: 0;
    padding: 0;
    font-family: "roboto", arial;
}

#header-page {
    position: sticky;
    top: 0;
    background-color: rgb(52, 58, 64);
    z-index: 2;
}

#header-logo {
    width:38px;
    height: 38px;
    border: 2px solid white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#header-first-row {
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(153, 153, 153);
    background-origin: border-box;
    box-shadow: inset 0 1000px rgb(52, 58, 64);
    border-bottom: 2px solid transparent;
}

#header-second-row {
    color: white;
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 48px;
}

.navigation-link {
    color: rgba(255, 255, 255, 0.6);
    transition: all 0.7s;
}

.navigation-link:hover {
    color: rgba(255, 255, 255, 1.0);
    cursor: pointer;
    text-shadow: 0 0 10px #fff,
                    0 0 20px #fff,
                    0 0 40px #fff;
}

.active-link {
    color: white;
    text-shadow: 0 0 15px #fff,
                    0 0 20px #fff;
}

#main-content {
    width: 90%;
    margin: 0 5% 0 5%;
}

#welcoming-text {
    padding-top: 28px;
    padding-bottom: 32px;
}

#welcoming-text > p {
    padding-top: 12px;
}

.centered-text {
    text-align: center;
}

.transition {
    width: 25%;
    margin-top: 48px;
}

.custom-icon {
    font-size: 32px;
}

.main-title {
    text-decoration: underline;
    padding-top: 18px;
}

.history-item {
    display: flex;
    margin-bottom: 20px;
}

.history-left {
    background-color: #3B3F5C;
    color: white;
    display: flex;
    align-items: center;
    padding: 1%;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.history-right {
    background-color: snow;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 1%;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

.history-details {
    margin-top:1%;
    margin-bottom:1%;
}

#projects-introduction {
    padding-left: 24px;
}

.project-block {
    display: flex;
    flex-direction: row;
    width: 90%;
}

.project-cell {
    position: relative;
    text-align: center;
    overflow: hidden;
    height: 350px;
}

.project-image {
    width: 80%;
    height: 100%;
    padding: 5%;
}

.project-description {
    background: rgb(2,0,36);
    background: linear-gradient(180deg, rgba(2,0,36,1) 0%, rgba(3,3,3,1) 5%, rgba(0,0,0,0.23151267342874648) 100%);
    color: white;
    position: absolute;
    bottom: 0px;
    width: 80%;
    transition: all 0.5s;
    margin-left: 10%;
}

.project-image:hover + .project-description {
    height: 75%;
}

.project-description:hover {
    height: 75%;
}

.project-description > h3 {
    margin-top: 3%;
}

.project-description > p {
    display: flex;
    justify-content: center;
    align-items: center;
}

.custom-button {
    background-color: #4752C4;
    border-radius: 5%;
    color: white;
    padding: 12px;
    border: none;
    text-decoration: none;
}

.custom-button:hover {
    background-color: #39429E;
    cursor: pointer;
}

.custom-button:active {
    border: 4px solid rgb(148, 189, 250);
}

footer {
    background-color: rgb(52, 58, 64);
    color: white;
    padding-top: 12px;
    padding-bottom: 12px;
    margin-top: 24px;
    display: flex;
    justify-content: center;;
}

/* detection smartphone */
@media (pointer:none), (pointer:coarse) {
    #header-second-row {
        flex-direction: column;
        height: 122px;
    }

    .project-block {
        flex-direction: column; 
        width: 100%;
        margin:0;
    }

    .project-cell {
        height: 260px;
    }

    .project-image {
        padding: 10%;
    }

    .project-description {
        height: 92%;
    }

    .history-right{
        width: 55%;
    }

    .history-left {
        width: 45%;
    }

    .history-details {
        margin-top: 3%;
        margin-bottom: 3%;
    }
}

@media(max-width: 575px) and (pointer:fine){
    #header-second-row {
        flex-direction: column;
        height: 130px;
    }

    .project-block {
        flex-direction: column;
        width: 100%;
    }

    .project-cell {
        height: 260px;
    }

    .project-description {
        height: 21%;
    }

    .project-description:hover {
        height: 91%;
    }

    .project-image:hover + .project-description {
        height: 91%;
    }

    .project-description > p {
        padding: 0 5% 0 5%;
    }

    .history-right{
        width: 55%;
    }

    .history-left {
        width: 45%;
    }

    .history-details {
        margin-top: 2%;
        margin-bottom: 2%;
    }
}

@media(min-width: 576px) and (pointer:fine) {
    .project-block {
        flex-direction: column;
        width: 100%;
    }

    .project-cell {
        width: 100%;
    }

    .project-description {
        height: 17%;
    }

    .project-description:hover {
        height: 75%;
    }

    .project-image:hover + .project-description {
        height: 75%;
    }

    .history-right{
        width: 55%;
    }

    .history-left {
        width: 45%;
    }

    .history-details {
        margin-top: 2%;
        margin-bottom: 2%;
    }
}

@media(min-width: 768px) and (pointer:fine) {
    .project-block {
        flex-direction: row;
        width: 100%;
    }

    .project-cell {
        height: 250px;
    }

    .project-description {
        height: 20%;
    }

    .project-description:hover {
        height: 93%;
    }

    .project-image:hover + .project-description {
        height: 93%;
    }

    .project-description > p {
        padding: 0 5% 0 5%;
    }

    .history-right{
        width: 55%;
    }

    .history-left {
        width: 45%;
    }
}

@media(min-width: 992px) and (pointer:fine) {
    .project-block {
        flex-direction: row;
    }

    .project-cell {
        height: 300px;
    }

    .project-description {
        height: 18%;
    }

    .project-description:hover {
        height: 75%;
    }

    .project-image:hover + .project-description {
        height: 75%;
    }

    .project-description > p {
        padding: 0 5% 0 5%;
    }

    .history-right{
        width: 55%;
    }

    .history-left {
        width: 45%;
    }
}

@media(min-width: 1200px) and (pointer:fine) {
    .project-block {
        flex-direction: row;
    }

    .project-description {
        height: 17%;
    }

    .project-description > p {
        padding: 5%;
    }

    .history-right {
        width: 60%;
    }

    .history-left {
        width: 40%;
    }
}

@media(min-width: 1400px) and (pointer:fine) {
    .project-block {
        flex-direction: row;
    }

    .project-cell {
        height: 400px;
    }

    .project-description {
        height: 16%;
    }
}